%define pkgname actionpack
Summary:	Object-Relational mapping library for Ruby
Summary(pl.UTF-8):	Biblioteka odwzorowań obiektowo-relacyjnych dla Ruby
Name:		ruby-%{pkgname}
Version:	3.2.19
Release:	7
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	e44a409d81fd2b487b12850bcd10cf0d
URL:		http://rubyforge.org/projects/actionpack/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
Requires:	ruby-rack >= 1.1.0
Requires:	ruby-sprockets >= 2.2.1
Provides:	ruby-ActionPack
Obsoletes:	ruby-ActionPack
Conflicts:	ruby-sprockets >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Action Pack splits the response to a web request into a controller
part (performing the logic) and a view part (rendering a template).
This two-step approach is known as an action, which will normally
create, read, update, or delete (CRUD for short) some sort of model
part (often database) before choosing either to render a template or
redirecting to another action.

%description -l pl.UTF-8
Action Pack dzieli odpowiedź na żądanie WWW na część sterującą
(wykonującą logikę) i część widokową (przetwarzającą szablon). To
dwukrokowe podejście jest znane jako akcja, która zwykle tworzy,
czyta, uaktualnia lub usuwa (create, read, update, delete - CRUD)
jakiś rodzaj części modelu (zwykle bazy danych) przed wybraniem czy
przetwarzać szablon, czy przekierować do innej akcji.

%package rdoc
Summary:	Documentation files for ActionPack
Summary(pl.UTF-8):	Dokumentacja do biblioteki ActionPack
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for ActionPack.

%description rdoc -l pl.UTF-8
Dokumentacja do biblioteki ActionPack.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

LC_ALL=en_US.UTF-8 rdoc --ri --op ri lib
LC_ALL=en_US.UTF-8 rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri
rm -fr ri/{system,Rack,CGI,FalseClass,HTML,Mime,NilClass,Object,RackLintPatch,Regexp,TrueClass}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rdoc
%{ruby_vendorlibdir}/abstract_controller
%{ruby_vendorlibdir}/abstract_controller.rb
%{ruby_vendorlibdir}/action_controller
%{ruby_vendorlibdir}/action_controller.rb
%{ruby_vendorlibdir}/action_dispatch
%{ruby_vendorlibdir}/action_dispatch.rb
%{ruby_vendorlibdir}/action_pack
%{ruby_vendorlibdir}/action_pack.rb
%{ruby_vendorlibdir}/action_view
%{ruby_vendorlibdir}/action_view.rb
%{ruby_vendorlibdir}/sprockets
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{pkgname}-%{version}-%{release}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/AbstractController
%{ruby_ridir}/ActionController
%{ruby_ridir}/ActionDispatch
%{ruby_ridir}/ActionView
%{ruby_ridir}/Sprockets
%changelog
* Fri Apr 01 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-actionpack.git;a=log;h=master

* Fri Apr 01 2016 Jan Rękorajski <baggins@pld-linux.org> 75a9be3
- release 7 (by relup.sh)

* Sat Jan 16 2016 Jan Rękorajski <baggins@pld-linux.org> ea9e9e7
- release 6 (by relup.sh)

* Fri Aug 28 2015 Elan Ruusamäe <glen@delfi.ee> b3cc358
- rebuild without versioned ruby abi dep
- release 5 (by relup.sh)

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 8a2973b
- install to vendor dir; noarch package

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 048ef1f
- x32 rebuild
- release 3 (by relup.sh)

* Thu Sep 04 2014 Jan Rękorajski <baggins@pld-linux.org> 5d8144c
- updated deps
- rel 2

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> c12a2d9
- rel 1

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 8098892
- up to 3.2.19

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 1d91ab1
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Fri Feb 01 2013 Jan Rękorajski <baggins@pld-linux.org> a4461f5
- updated to 2.3.16

* Wed Jan 09 2013 Jan Rękorajski <baggins@pld-linux.org> f14a8ab
- updated to 2.3.15

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 2c2b46a
- rel 3

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> f7099d0
- there is nothing in this dir

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 9f1c956
- locale issues

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 5bfeaef
- some locale issues?

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> 34947be
- rel 2
- ri documentation depends on installed packages and is thus nondeterministic

* Mon Dec 12 2011 Jan Rękorajski <baggins@pld-linux.org> a7cd94d
- 2.3.14

* Fri Jul 08 2011 Jan Rękorajski <baggins@pld-linux.org> 589438f
- 2.3.11

* Wed Mar 03 2010 Jan Rękorajski <baggins@pld-linux.org> 38c5c8d
- rel 3
- package whole action_pack dir

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 3601c2c
- rel 2
- fixed build

